package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.sujrb.util.WeekdayUtil;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/NewGuaLoanApplyCheckOverTimeAction.class */
public class NewGuaLoanApplyCheckOverTimeAction extends LifeAction {
    private String iCollName;
    private String op;

    public String execute(Context context) throws GENEException {
        try {
            Date date = Calendar.getInstance().getTime();
            String currDate = new SimpleDateFormat("yyyy-MM-dd").format(date);
            int beroreNotice = Integer.parseInt((String) context.getDataValue("beforeNoticeDay"));
            IndexedCollection icoll = context.getDataElement(this.iCollName);
            if (icoll.size() == 0) {
                return "1";
            }
            if ("a".equals(this.op)) {
                for (int i = 0; i < icoll.size(); i++) {
                    KeyedCollection kcoll = icoll.getElementAt(i);
                    String guaStt = (String) kcoll.getDataValue("guaStt");
                    if (guaStt.equals("0") || guaStt.equals("2") || guaStt.equals("4")) {
                        String optime = (String) kcoll.getDataValue("optime");
                        int workDayNum = WeekdayUtil.getWorkDay(String.valueOf(optime.substring(0, 4)) + "-" + optime.substring(4, 6) + "-" + optime.substring(6, 8), currDate);
                        if (workDayNum >= beroreNotice) {
                            icoll.getElementAt(i).setDataValue("overFlag", "1");
                            icoll.getElementAt(i).setDataValue("overTime", Integer.valueOf(workDayNum));
                        } else {
                            icoll.getElementAt(i).setDataValue("overFlag", "0");
                            icoll.getElementAt(i).setDataValue("overTime", "");
                        }
                    }
                }
                return "0";
            }
            for (int i2 = 0; i2 < icoll.size(); i2++) {
                KeyedCollection kcoll2 = icoll.getElementAt(i2);
                if (((String) kcoll2.getDataValue("financeClassNo")).equals("000001")) {
                    String optime2 = (String) kcoll2.getDataValue("guaLimitDate");
                    String opdate = String.valueOf(optime2.substring(0, 4)) + "-" + optime2.substring(4, 6) + "-" + optime2.substring(6, 8);
                    int workDayNum2 = WeekdayUtil.getWorkDay(currDate, opdate);
                    if (workDayNum2 <= beroreNotice) {
                        icoll.getElementAt(i2).setDataValue("overFlag", "1");
                        icoll.getElementAt(i2).setDataValue("overTime", Integer.valueOf(workDayNum2));
                    } else {
                        icoll.getElementAt(i2).setDataValue("overFlag", "0");
                        icoll.getElementAt(i2).setDataValue("overTime", "");
                    }
                }
            }
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", e.getMessage(), e);
            throw e;
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public String getOp() {
        return this.op;
    }
}
